submissions_create
const url = 'https://example.com/api/submissions';const options = { method: 'POST', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"workspace":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","title":"example","connection":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/submissions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --data '{ "workspace": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "title": "example", "connection": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Create a new Submission object.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Workspace ID
Request Bodyrequired
Section titled “Request Bodyrequired”Serializer for Submission objects.
object
Return information about the data related to a given object.
Parameters
obj : object The object for which to retrieve the related data.
Returns
dict A dictionary containing: - “count”: The count of data related to the object. - “related”: The URL for accessing the related data.
object
Return settings information for a submission.
Parameters
obj : Submission The submission object.
Returns
dict A dictionary containing the settings count and related URL.
object
Return serialized data for a connection object with context information.
This method serializes the connection attribute of the input object using
ConnectionSubmissionSerializer, including the request context.
Parameters
obj : object The object containing a connection attribute to be serialized.
Returns
dict The serialized data of the connection object within the provided object, including the context of the current request.
object
Retrieve all external identifiers for the given submission object.
Parameters
obj : Submission The submission object.
Returns
list[dict] The serialized data of the external identifier.
object
Return the interactor information of the object’s creator.
Parameters
obj : object The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : object The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Serializer for Submission objects.
object
Return information about the data related to a given object.
Parameters
obj : object The object for which to retrieve the related data.
Returns
dict A dictionary containing: - “count”: The count of data related to the object. - “related”: The URL for accessing the related data.
object
Return settings information for a submission.
Parameters
obj : Submission The submission object.
Returns
dict A dictionary containing the settings count and related URL.
object
Return serialized data for a connection object with context information.
This method serializes the connection attribute of the input object using
ConnectionSubmissionSerializer, including the request context.
Parameters
obj : object The object containing a connection attribute to be serialized.
Returns
dict The serialized data of the connection object within the provided object, including the context of the current request.
object
Retrieve all external identifiers for the given submission object.
Parameters
obj : Submission The submission object.
Returns
list[dict] The serialized data of the external identifier.
object
Return the interactor information of the object’s creator.
Parameters
obj : object The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : object The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Serializer for Submission objects.
object
Return information about the data related to a given object.
Parameters
obj : object The object for which to retrieve the related data.
Returns
dict A dictionary containing: - “count”: The count of data related to the object. - “related”: The URL for accessing the related data.
object
Return settings information for a submission.
Parameters
obj : Submission The submission object.
Returns
dict A dictionary containing the settings count and related URL.
object
Return serialized data for a connection object with context information.
This method serializes the connection attribute of the input object using
ConnectionSubmissionSerializer, including the request context.
Parameters
obj : object The object containing a connection attribute to be serialized.
Returns
dict The serialized data of the connection object within the provided object, including the context of the current request.
object
Retrieve all external identifiers for the given submission object.
Parameters
obj : Submission The submission object.
Returns
list[dict] The serialized data of the external identifier.
object
Return the interactor information of the object’s creator.
Parameters
obj : object The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : object The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Responses
Section titled “Responses”Serializer for Submission objects.
object
Return information about the data related to a given object.
Parameters
obj : object The object for which to retrieve the related data.
Returns
dict A dictionary containing: - “count”: The count of data related to the object. - “related”: The URL for accessing the related data.
object
Return settings information for a submission.
Parameters
obj : Submission The submission object.
Returns
dict A dictionary containing the settings count and related URL.
object
Return serialized data for a connection object with context information.
This method serializes the connection attribute of the input object using
ConnectionSubmissionSerializer, including the request context.
Parameters
obj : object The object containing a connection attribute to be serialized.
Returns
dict The serialized data of the connection object within the provided object, including the context of the current request.
object
Retrieve all external identifiers for the given submission object.
Parameters
obj : Submission The submission object.
Returns
list[dict] The serialized data of the external identifier.
object
Return the interactor information of the object’s creator.
Parameters
obj : object The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : object The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example
{ "status": "draft", "error_reason": "submission_failed"}Serializer for Submission objects.
object
Return information about the data related to a given object.
Parameters
obj : object The object for which to retrieve the related data.
Returns
dict A dictionary containing: - “count”: The count of data related to the object. - “related”: The URL for accessing the related data.
object
Return settings information for a submission.
Parameters
obj : Submission The submission object.
Returns
dict A dictionary containing the settings count and related URL.
object
Return serialized data for a connection object with context information.
This method serializes the connection attribute of the input object using
ConnectionSubmissionSerializer, including the request context.
Parameters
obj : object The object containing a connection attribute to be serialized.
Returns
dict The serialized data of the connection object within the provided object, including the context of the current request.
object
Retrieve all external identifiers for the given submission object.
Parameters
obj : Submission The submission object.
Returns
list[dict] The serialized data of the external identifier.
object
Return the interactor information of the object’s creator.
Parameters
obj : object The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : object The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example
{ "status": "draft", "error_reason": "submission_failed"}object
object
Example
{ "code": "body_validation_error", "message": "The request body does not match the schema for the expected parameters. Check the `details` property for more details.", "details": [ { "parameter": "settings", "message": "This field is required", "code": "required" } ]}
